package com.bonus.sharedstation.app.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.sharedstation.app.dto.WashClothingOrderDTO;
import com.bonus.sharedstation.app.entity.WashClothingOrder;
import com.bonus.sharedstation.web.dto.WashClothingPriceDTO;

/**
 * 便民服务信息表保洁(CleaningServicesOrder)表服务接口
 *
 * @author makejava
 * @since 2024-12-10 17:02:11
 */
public interface WashClothingOrderService extends IService<WashClothingOrder> {

    AjaxResult getListPageApp(WashClothingOrderDTO dto);
    AjaxResult getListWeb(WashClothingOrderDTO dto);

    AjaxResult selectInfoById(WashClothingOrder dto);

    AjaxResult add(WashClothingOrderDTO dto);
    /**
     * 更新 取消
     */
    AjaxResult updateInfoById(WashClothingOrder dto);

    AjaxResult getListPage(WashClothingPriceDTO dto);



}

